Subject: Bug#4160: Mosaic caused X to become unresponsive to mouse and keyboard input

From: Ian Jackson <[email-masked]>
Date: Wed, 14 Aug 96 23:15 BST

Package: mosaic, xserver-s3
Version: 2.7b5-2, 3.1.2-5

By playing with the globe icon while Mosaic was downloading a file (I
was trying to abort a transfer, but it wasn't working) my X session
was rendered inoperative.

The mouse and keyboard focus appeared to have become permanently lost.
I could see the mouse cursor and move it around, but it did not change
shape - it was locked on my xterm cursor shape, and twm thought that
the focus was in an xterm window.  Restarting window managers (I tried
twm and fvwm) and killing clients, including the xterm that things
seemed to think had the focus, had no useful effect.

Other clients I was using:
 workman - an a.out version whose origins are unclear to me
 xmix (Debian 2.1-1)
 unclutter -noevents (Debian 0.8-11)
 emacs (Debian 19.29-3)
 twm, xclock, xterm, xload, xbiff*3 (Debian xbase 3.1.2-9)

Ian.